Bug 1760858 - UI in topology view is broken for edge browser
Summary: UI in topology view is broken for edge browser
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.3.0
Assignee: cvogt
QA Contact: Ruchir Garg
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-11 14:13 UTC by spathak@redhat.com
Modified: 2020-01-23 11:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Browsers have varying degrees of feature compatibility and the edge browser had issues with the way the drop shadows were created in topology. Consequence: Whenever a drop shadow was applied to an element in topology, they failed to show up at all in edge browser. Fix: Addressed the way drop shadows were created such that they are compatible across browsers. Result: All topology nodes are correctly displayed in all browsers along with their drop shadows.
Clone Of:
Environment:
Last Closed: 2020-01-23 11:07:15 UTC
Target Upstream Version:


Attachments (Terms of Use)
App name not visible properly (15.04 KB, image/png)
2019-10-11 14:35 UTC, spathak@redhat.com
no flags Details
Build Status is not properly shown (82.46 KB, image/png)
2019-10-11 14:37 UTC, spathak@redhat.com
no flags Details
Tested Verification (56.18 KB, image/png)
2019-11-23 01:23 UTC, Andrew Ballantyne
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 3472 'None' 'open' 'Bug 1760858: Add special Edge drop shadow' 2019-11-19 17:29:53 UTC
Red Hat Product Errata RHBA-2020:0062 None None None 2020-01-23 11:07:34 UTC

Description spathak@redhat.com 2019-10-11 14:13:23 UTC
Description of problem:
During testing on edge browser on windows 10 after importing an application from git the UI is behaving inconsistently. I'm attaching the screenshot


Actual results:
1.The node is not showing the health of build properly
2.Name of the app is not visible properly

Expected results:
UI should be normal with node and information present properly

Comment 1 spathak@redhat.com 2019-10-11 14:35:41 UTC
Created attachment 1624746 [details]
App name not visible properly

Comment 2 spathak@redhat.com 2019-10-11 14:37:19 UTC
Created attachment 1624747 [details]
Build Status is not properly shown

Comment 3 cvogt 2019-11-05 15:00:05 UTC
Tracking: https://jira.coreos.com/browse/ODC-2186

Comment 5 Andrew Ballantyne 2019-11-23 01:22:13 UTC
Verified on: https://openshift-release.svc.ci.openshift.org/releasestream/4.3.0-0.ci/release/4.3.0-0.ci-2019-11-22-122829

Edge: 44.18362.449.0

Comment 6 Andrew Ballantyne 2019-11-23 01:23:21 UTC
Created attachment 1638955 [details]
Tested Verification

Comment 8 errata-xmlrpc 2020-01-23 11:07:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.